.footer {
    font-family: var(--heading-font);
    background: #f8f8f8;
    color: var(--ink);
    padding: 70px 20px 10px;
}

.footer-container {
    max-width: 1200px;
    margin: 0 auto;
}

.footer-grid {
    display: grid;
    grid-template-columns: 2fr 1fr 1fr 1fr;
    gap: 30px;
    margin-bottom: 40px;
}

.footer-logo {
    font-size: 24px;
    font-weight: 800;
    color: #ffffff;
    margin-bottom: 15px;
}

.footer-about {
    font-size: 15px;
    line-height: 1.7;
    color: var(--ink);
    margin-bottom: 10px;
    text-align: left;
}

.footer-social a {
    display: inline-block;
    margin-right: 10px;
    width: 38px;
    height: 38px;
    background: #1e293b;
    border-radius: 50%;
    text-align: center;
    line-height: 38px;
    color: var(--ink);
    font-size: 16px;
    transition: 0.3s;
}

.footer-social a:hover {
    background: var(--red);
}

.footer h4 {
    font-weight: 700;
    text-align: left;
    font-size: 18px;
    margin-bottom: 18px;
    color: var(--ink);
}

.footer-links a {
    display: block;
    color: var(--ink);
    text-decoration: none;
    margin-bottom: 10px;
    font-size: 14px;
    transition: 0.3s;
    text-align: left;
}

.footer-links a:hover {
    color: #505050;
    padding-left: 5px;
}

.footer-bottom p {
    border-top: 1px solid #bbbbbb;
    padding-top: 10px;
    text-align: center;
    font-size: 12px;
    color: #9b9b9b;
}

.footer-bottom a {
    color: var(--red);
    text-decoration: none;
}

@media (max-width: 991px) {
    .footer-grid {
    grid-template-columns: 1fr 1fr;
    }
}

@media (max-width: 600px) {
    .footer-grid {
    grid-template-columns: 1fr;
    }
}